Subject: RE: Unconventional roles of git

From: "Randall S. Becker" <[email-masked]>
Date: Tue, 28 Feb 2017 10:27:11 -0500

>From: ankostis [mailto:[email-masked]] 
>Sent: February 28, 2017 8:01 AM
>To: Randall S. Becker <[email-masked]>
>Cc: Git Mailing List <[email-masked]>; Jason Cooper <[email-masked]>
>Subject: Re: Unconventional roles of git
>On 27 February 2017 at 20:16, Randall S. Becker <mailto:[email-masked]> wrote:
>> On February 26, 2017 6:52 AM, Kostis Anagnostopoulos <mailto:[email-masked]> worte:
>>> On 26 February 2017 at 02:13, Jason Cooper <mailto:[email-masked]> wrote:
>>> > As someone looking to deploy (and having previously deployed) git in
>>> > unconventional roles, I'd like to add ...
>>>
>>> We are developing a distributed storage for type approval files regarding all
>>> vehicles registered in Europe.[1]  To ensure integrity even after 10 or 30
>>> years, the hash of a commit of these files (as contained in a tag) are to be
>>> printed on the the paper certificates.
>>>
>>> - Can you provide some hints for other similar unconventional roles of git?
>>> - Any other comment on the above usage of git are welcomed.
>>
>> I am involved in managing manufacturing designs and parts configurations and approvals with git being intimately involved in the process of developing and deploying tested designs to >computerized manufacturing environments. It's pretty cool actually to see things become real.

>Thanks for the tip.
>Can you provide some links or the legislation involved?

I have not done much in the way of write-ups other than PowerPoint-based training material for the companies involved. So far, this does not seem to be subject to regulatory or legislation - but that depends on what is being manufactured. In the current situation, I'm helping organize cabinet parts, components, GCode, optimizations, and other arcane artifacts in the woodworking community for CNC and related process support. It is an evolving domain. I do wish that Cloud providers like Atlassian would provide more comprehensive integrated code reviews (a.k.a. Gerrit) for some of this work. Surprisingly that's a harder sell to dedicate a server internally.

Cheers,
Randall